data_view.hpp File Reference

Contains the implementation of the data_view class. More...

`#include <protozero/config.hpp>`
`#include <algorithm>`
`#include <cstddef>`
`#include <cstring>`
`#include <string>`
`#include <utility>`
Include dependency graph for data_view.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | protozero::data_view

## Namespaces

| protozero
| All parts of the protozero header-only library are in this namespace.

## Functions

void | protozero::swap (data_view &lhs, data_view &rhs) noexcept
constexpr bool | protozero::operator== (const data_view lhs, const data_view rhs) noexcept
constexpr bool | protozero::operator!= (const data_view lhs, const data_view rhs) noexcept
bool | protozero::operator< (const data_view lhs, const data_view rhs) noexcept
bool | protozero::operator<= (const data_view lhs, const data_view rhs) noexcept
bool | protozero::operator> (const data_view lhs, const data_view rhs) noexcept
bool | protozero::operator>= (const data_view lhs, const data_view rhs) noexcept

## Detailed Description

Contains the implementation of the data_view class.